## org.apache.mahout.utils.vectors.io
Class JWriterTermInfoWriter

    java.lang.Object
      org.apache.mahout.utils.vectors.io.JWriterTermInfoWriter

All Implemented Interfaces:
  Closeable, TermInfoWriter

    public class JWriterTermInfoWriter

extends Object
implements TermInfoWriter

Write ther TermInfo out to a `Writer`

Constructor Summary
`JWriterTermInfoWriter(Writer writer, String delimiter, String field)`

Method Summary
`void` `close()` Does NOT close the underlying writer
`void` `write(TermInfo ti)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JWriterTermInfoWriter

    public JWriterTermInfoWriter(Writer writer,
                                 String delimiter,
                                 String field)

Method Detail

### write

    public void write(TermInfo ti)
               throws IOException

  Specified by:
    `write` in interface `TermInfoWriter`
  Throws:
    `IOException`

### close

    public void close()

  Does NOT close the underlying writer

  Specified by:
    `close` in interface `Closeable`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.